Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 428748 - Review Request: ltspfs - LTSP filesystem
Summary: Review Request: ltspfs - LTSP filesystem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-01-14 22:19 UTC by Warren Togami
Modified: 2008-03-10 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-10 23:05:10 UTC
kevin: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Warren Togami 2008-01-14 22:19:09 UTC
http://togami.com/~warren/fedora/ltspfs.spec
http://togami.com/~warren/fedora/ltspfs-0.4.2-0.20080114.fc8.src.rpm
Description: 
Fuse based remote filesystem for LTSP thin clients
 LtspFS is a remote filesystem consisting of two parts:
 1) A network server daemon that runs on the LTSP terminal.
 2) A FUSE module that runs in userspace on the server, that connects with
 the daemon on the client.

Comment 1 Jason Tibbitts 2008-01-17 07:08:21 UTC
A couple of things I noticed while glancing at the spec:

What's supposed to provide /usr/share/ldm?

There's no need to mark manpages as %doc; rpmbuild does that automatically.  It
doesn't hurt anything to do so, though.

Comment 3 Kevin Fenzi 2008-03-10 18:32:22 UTC
I'd be happy to review this. 
Look for a full review in a bit... 

Comment 4 Kevin Fenzi 2008-03-10 19:13:45 UTC
See below - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The URL should possibly be:
https://code.launchpad.net/ltspfs

2. This is a prerelease snapshot?
Release should be:
0.0.20080114%{?dist}
instead of
0.20080114%{?dist}

See:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a

3. You should include a comment on how to check out this version:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-615f6271efb394ab340a93a6cf030f2d08cf0d49

4. rpmlint says:

ltspfs.x86_64: E: zero-length /usr/share/doc/ltspfs-0.4.2/ChangeLog

Suggest: Drop the Changelog until it has anything in it?

ltspfsd.x86_64: W: non-conffile-in-etc /etc/udev/rules.d/88-ltsp.rules

Should this be a conf(noreplace)? Or does it matter?


Comment 5 Warren Togami 2008-03-10 20:39:32 UTC
http://togami.com/~warren/fedora/ltspfs.spec
http://togami.com/~warren/fedora/ltspfs-0.4.2-0.20080310.fc8.src.rpm

> 3. You should include a comment on how to check out this version:
I thought I did near the top?

> ltspfsd.x86_64: W: non-conffile-in-etc /etc/udev/rules.d/88-ltsp.rules
> Should this be a conf(noreplace)? Or does it matter?
Doesn't matter.

Comment 7 Kevin Fenzi 2008-03-10 21:00:59 UTC
Ah, much better... that seems to address all the issues I see... 
this package is APPROVED. 

Comment 8 Warren Togami 2008-03-10 23:05:10 UTC
cvs done and built in rawhide


Note You need to log in before you can comment on or make changes to this bug.